package com.cab.dao;

import com.cab.model.CabLiveContent;
import com.cku.core.BaseDAOMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CabLiveContentMapper extends BaseDAOMapper<CabLiveContent> {
    int deleteByPrimaryKey(Integer contentId);

    int insert(CabLiveContent record);

    int insertSelective(CabLiveContent record);

    CabLiveContent selectByPrimaryKey(Integer contentId);

    int updateByPrimaryKeySelective(CabLiveContent record);

    int updateByPrimaryKeyWithBLOBs(CabLiveContent record);

    int updateByPrimaryKey(CabLiveContent record);

    List<CabLiveContent> selectAll(@Param("title") String title, @Param("start") Long start, @Param("limit") Long limit);
    List<CabLiveContent> queryList(@Param("selectId") Long selectId,@Param("dateString") String dateString);
    Long selectCount(String title);
}